---
title: IDP
date: 2025-04-18T00:10:17.494042043Z
weight: 20
geekdocRepo: https://github.com/owncloud/ocis
geekdocEditPath: edit/master/services/idp
geekdocFilePath: README.md
geekdocCollapseSection: true
---

<!-- Do not edit this file, it is autogenerated. Edit the service README.md instead -->

## Abstract


This service provides a builtin minimal OpenID Connect provider based on [LibreGraph Connect (lico)](https://github.com/libregraph/lico) for ocis.

It is mainly targeted at smaller installations. For larger setups it is recommended to replace IDP with an external OpenID Connect Provider.

By default, it is configured to use the ocis IDM service as its LDAP backend for looking up and authenticating users. Other backends like an external LDAP server can be configured via a set of [enviroment variables](https://owncloud.dev/services/idp/configuration/#environment-variables).

Note that translations provided by the IDP service are not maintained via ownCloud but part of the embedded  [LibreGraph Connect Identifier](https://github.com/libregraph/lico/tree/master/identifier) package.

## Table of Contents

* [Example Yaml Config](#example-yaml-config)

## Example Yaml Config
{{< include file="services/_includes/idp-config-example.yaml"  language="yaml" >}}

{{< include file="services/_includes/idp_configvars.md" >}}

